@import url("https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600&family=Open+Sans:wght@400;700&display=swap");

body {
  background-color: var(--bv_frameworkBackground, #fff);
  margin: 0;
  -webkit-font-smoothing: unset;
  -moz-osx-font-smoothing: unset;

  font-family: var(--bv-bodyFontFamily);
  font-size: var(--bv-bodyFontSize);
  font-weight: var(--bv-bodyFontWeight);
  line-height: var(--bv-bodyLineHeight);
  color: rgb(var(--bv-bodyColor));
}

a {
  color: var(--bv_linkColor);
}

@media (max-width: 1199px) {
  body {
    background-image: none !important;
  }

  body::before {
    opacity: 0 !important;
  }
}

p {
  margin: 0;
}

h1,
h2,
h3 {
  margin: 0;
}

.react-time-picker__wrapper {
  text-align: center;
  border: 0;
}

.react-time-picker__inputGroup {
  min-width: unset;
}

.bv-ibe,
div[data-portal="true"] {
  input[type="number"] {
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: textfield;
  }

  .image-gallery-slide-wrapper {
    border-radius: 0;
  }

  .react-time-picker__wrapper {
    text-align: center;
    border: 0;
  }

  .react-time-picker__inputGroup {
    min-width: unset;
  }

  #sidebar_container a {
    color: var(--bv_sidebarLinkColor);
    text-decoration: none !important;
  }

  #sidebar_container a:hover {
    text-decoration: underline !important;
  }

  b,
  strong {
    font-weight: var(--bv_bodyBoldFontWeight);
  }

  .bv_modal_inner {
    padding: 0;
    height: 100%;
    width: 100%;
    overflow: auto;
  }

  .bv_modal_root {
    z-index: 99999;
  }

  .Toastify__toast-container {
    z-index: 12000 !important;
  }

  .bv_modal_modal {
    padding: 0;
    border-radius: 0;
    width: 100%;
    background: var(--bv_frameworkBackground);
    max-width: 840px;
  }

  .bv_modal_autowidth {
    width: auto;
    max-width: none;
  }

  @media (max-width: 600px) {
    .bv_modal_modal {
      width: 100%;
      height: 100%;
      min-height: 100%;
      margin-left: unset;
    }

    .mantine-Modal-body {
      height: 100%;
    }
  }

  .mantine-Checkbox-icon {
    transform: scale(0.5) translateY(0px);
  }

  .image-gallery-swipe {
    height: 100%;
  }

  .image-gallery-content {
    height: 100%;
  }

  .image-gallery-slide-wrapper {
    height: 100%;
  }

  .image-gallery-slides {
    height: 100%;
  }

  .image-gallery-slide {
    height: 100%;
  }

  ul,
  ol {
    margin: 0;
  }
}
